# Email Finder

The Email Finder API helps you discover verified business email addresses for the right contacts using just a name and company or domain, so you can enrich your CRM, power outbound campaigns, and scale prospecting workflows without manual research

## Instant Email Finder

> Instantly discover email address of any person giving their name and domain or company name

```json
{"openapi":"3.0.2","info":{"title":"Clearout OpenAPI","version":"1.1"},"tags":[{"name":"Email Finder","description":"The Email Finder API helps you discover verified business email addresses for the right contacts using just a name and company or domain, so you can enrich your CRM, power outbound campaigns, and scale prospecting workflows without manual research"}],"servers":[{"url":"https://api.clearout.io/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InstantEmailFinderSuccessResponseType":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","properties":{"emails":{"type":"array","items":{"properties":{"email_address":{"type":"string"},"role":{"type":"string"},"business":{"type":"string"}}}},"first_name":{"type":"string"},"last_name":{"type":"string"},"full_name":{"type":"string"},"domain":{"type":"string"},"confidence_score":{"type":"integer"},"total":{"type":"integer"},"company":{"type":"object","properties":{"name":{"type":"string"}}},"found_on":{"type":"string"}}}}},"InstantEmailFinderFailureResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"InstantEmailFinderBadRequestResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"properties":{"field":{"type":"array","items":{}},"location":{"type":"string"},"messages":{"type":"array","items":{}},"types":{"type":"array","items":{}}}}}}}}},"InstantEmailFinderUnauthorizedResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"InstantEmailFinderPaymentRequiredResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"InstantEmailFinderRateLimitReachedResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"message":{"type":"string"}}}}},"InstantEmailFinderTimeoutOccurredResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"message":{"type":"string"},"additional_info":{"type":"object","properties":{"resource_name":{"type":"string"},"resource_value":{"type":"string"},"queue_id":{"type":"string"}}}}}}}}},"paths":{"/email_finder/instant":{"post":{"tags":["Email Finder"],"summary":"Instant Email Finder","description":"Instantly discover email address of any person giving their name and domain or company name","operationId":"findEmail","requestBody":{"required":true,"description":"Email to Find Instantly","content":{"application/json":{"schema":{"type":"object","required":["name","domain"],"properties":{"name":{"type":"string","description":"Name of the person (eg:- Mr. Tony Stark or Robert Downey Jr.)"},"domain":{"type":"string","description":"Domain or Company name (eg:- marvel.com or Marvel Entertainment Company)"},"timeout":{"type":"integer","description":"Request wait time (in milliseconds)","maximum":180000,"default":30000},"queue":{"type":"boolean","description":"Flag to indicate whether email discovery can be performed in background even after the request timed out, this will help to retrieve result later using queue id or downloaded from Clearout App -> My Activities. Setting 'false' will stop the email discovery immediately when timeout occured","default":true}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/InstantEmailFinderSuccessResponseType"},{"$ref":"#/components/schemas/InstantEmailFinderFailureResponseType"}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstantEmailFinderBadRequestResponseType"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstantEmailFinderUnauthorizedResponseType"}}}},"402":{"description":"Payment Required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstantEmailFinderPaymentRequiredResponseType"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstantEmailFinderRateLimitReachedResponseType"}}}},"503":{"description":"Service Unavailable"},"524":{"description":"A Timeout Occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstantEmailFinderTimeoutOccurredResponseType"}}}}}}}}}
```

## Instant Email Finder Status

> To know the email finder request status in queue

```json
{"openapi":"3.0.2","info":{"title":"Clearout OpenAPI","version":"1.1"},"tags":[{"name":"Email Finder","description":"The Email Finder API helps you discover verified business email addresses for the right contacts using just a name and company or domain, so you can enrich your CRM, power outbound campaigns, and scale prospecting workflows without manual research"}],"servers":[{"url":"https://api.clearout.io/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InstantEmailFinderStatusSuccessResponseType":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","properties":{"emails":{"type":"array","items":{"properties":{"email_address":{"type":"string"},"role":{"type":"string"},"business":{"type":"string"}}}},"first_name":{"type":"string"},"last_name":{"type":"string"},"full_name":{"type":"string"},"domain":{"type":"string"},"confidence_score":{"type":"integer"},"total":{"type":"integer"},"company":{"type":"object","properties":{"name":{"type":"string"}}},"found_on":{"type":"string"}}}}},"InstantEmailFinderStatusFailureResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"InstantEmailFinderStatusBadRequestResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"properties":{"field":{"type":"array","items":{}},"location":{"type":"string"},"messages":{"type":"array","items":{}},"types":{"type":"array","items":{}}}}}}}}},"InstantEmailFinderStatusUnauthorizedResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}}}},"paths":{"/email_finder/instant/queue_status":{"get":{"tags":["Email Finder"],"summary":"Instant Email Finder Status","description":"To know the email finder request status in queue","operationId":"findEmailStatus","parameters":[{"in":"query","name":"qid","schema":{"type":"string","description":"Queue ID received as part of the instant email finder response object"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/InstantEmailFinderStatusSuccessResponseType"},{"$ref":"#/components/schemas/InstantEmailFinderStatusFailureResponseType"}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstantEmailFinderStatusBadRequestResponseType"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstantEmailFinderStatusUnauthorizedResponseType"}}}},"503":{"description":"Service Unavailable"}}}}}}
```

## Bulk Email Finder

> Use bulk finder API to discover the email address of the person in contact list of any size. Email discovery process will occur in background and once complete it will be notified through email. Use Bulk Email Finder Progress Status API to know the overall completion status of the list in percentage

```json
{"openapi":"3.0.2","info":{"title":"Clearout OpenAPI","version":"1.1"},"tags":[{"name":"Email Finder","description":"The Email Finder API helps you discover verified business email addresses for the right contacts using just a name and company or domain, so you can enrich your CRM, power outbound campaigns, and scale prospecting workflows without manual research"}],"servers":[{"url":"https://api.clearout.io/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"BulkEmailFinderSuccessResponseType":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","properties":{"list_id":{"type":"string"}}}}},"BulkEmailFinderFailureResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"BulkEmailFinderBadRequestResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"BulkEmailFinderUnauthorizedResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"BulkEmailFinderPaymentRequiredResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"additional_info":{"type":"object","properties":{"required_credits":{"type":"integer"}}}}}}}}},"paths":{"/email_finder/bulk":{"post":{"tags":["Email Finder"],"summary":"Bulk Email Finder","description":"Use bulk finder API to discover the email address of the person in contact list of any size. Email discovery process will occur in background and once complete it will be notified through email. Use Bulk Email Finder Progress Status API to know the overall completion status of the list in percentage","operationId":"findBulkEmails","requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"type":"object","required":["file"],"properties":{"file":{"type":"string","format":"base64"},"ignore_duplicate_file":{"type":"string","description":"Whether to allow file with the same name and size that match with your recent upload","default":false}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/BulkEmailFinderSuccessResponseType"},{"$ref":"#/components/schemas/BulkEmailFinderFailureResponseType"},{"$ref":"#/components/schemas/BulkEmailFinderBadRequestResponseType"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkEmailFinderUnauthorizedResponseType"}}}},"402":{"description":"Payment Required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkEmailFinderPaymentRequiredResponseType"}}}},"503":{"description":"Service Unavailable"}}}}}}
```

## Bulk Email Finder Progress Status

> To know the overall progress status of the bulk finder request

```json
{"openapi":"3.0.2","info":{"title":"Clearout OpenAPI","version":"1.1"},"tags":[{"name":"Email Finder","description":"The Email Finder API helps you discover verified business email addresses for the right contacts using just a name and company or domain, so you can enrich your CRM, power outbound campaigns, and scale prospecting workflows without manual research"}],"servers":[{"url":"https://api.clearout.io/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"BulkEmailFinderProgressStatusSuccessResponseType":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","properties":{"progress_status":{"type":"string"},"percentage":{"type":"integer"}}}}},"BulkEmailFinderProgressStatusFailureResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"BulkEmailFinderProgressStatusBadRequestResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"properties":{"field":{"type":"array","items":{}},"location":{"type":"string"},"messages":{"type":"array","items":{}},"types":{"type":"array","items":{}}}}}}}}},"BulkEmailFinderProgressStatusUnauthorizedResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}}}},"paths":{"/email_finder/bulk/progress_status":{"get":{"tags":["Email Finder"],"summary":"Bulk Email Finder Progress Status","description":"To know the overall progress status of the bulk finder request","operationId":"findBulkEmailsProgressStatus","parameters":[{"in":"query","name":"list_id","schema":{"type":"string","description":"Pass the value of bulk list_id property from response object"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/BulkEmailFinderProgressStatusSuccessResponseType"},{"$ref":"#/components/schemas/BulkEmailFinderProgressStatusFailureResponseType"}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkEmailFinderProgressStatusBadRequestResponseType"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkEmailFinderProgressStatusUnauthorizedResponseType"}}}},"503":{"description":"Service Unavailable"}}}}}}
```

## Bulk Finder Result Download

> Bulk email finder result file download

```json
{"openapi":"3.0.2","info":{"title":"Clearout OpenAPI","version":"1.1"},"tags":[{"name":"Email Finder","description":"The Email Finder API helps you discover verified business email addresses for the right contacts using just a name and company or domain, so you can enrich your CRM, power outbound campaigns, and scale prospecting workflows without manual research"}],"servers":[{"url":"https://api.clearout.io/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ListIdType":{"type":"object","required":["list_id"],"properties":{"list_id":{"type":"string","description":"Pass the value of bulk list_id property from response object"}}},"BulkFinderResultDownloadSuccessResponseType":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","properties":{"url":{"type":"string"}}}}},"BulkFinderResultDownloadFailureResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"BulkFinderResultDownloadResultFileExpiredResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"BulkFinderResultDownloadBadRequestResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"properties":{"field":{"type":"array","items":{}},"location":{"type":"string"},"messages":{"type":"array","items":{}},"types":{"type":"array","items":{}}}}}}}}},"BulkFinderResultDownloadUnauthorizedResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}}}},"paths":{"/email_finder/download/result":{"post":{"tags":["Email Finder"],"summary":"Bulk Finder Result Download","description":"Bulk email finder result file download","operationId":"downloadBulkEmailsResult","requestBody":{"required":true,"description":"List ID to bulk email finder result file download","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListIdType"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/BulkFinderResultDownloadSuccessResponseType"},{"$ref":"#/components/schemas/BulkFinderResultDownloadFailureResponseType"},{"$ref":"#/components/schemas/BulkFinderResultDownloadResultFileExpiredResponseType"}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkFinderResultDownloadBadRequestResponseType"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkFinderResultDownloadUnauthorizedResponseType"}}}},"503":{"description":"Service Unavailable"}}}}}}
```

## Bulk Email Finder Removal

> Remove your bulk finder contact list

```json
{"openapi":"3.0.2","info":{"title":"Clearout OpenAPI","version":"1.1"},"tags":[{"name":"Email Finder","description":"The Email Finder API helps you discover verified business email addresses for the right contacts using just a name and company or domain, so you can enrich your CRM, power outbound campaigns, and scale prospecting workflows without manual research"}],"servers":[{"url":"https://api.clearout.io/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RemoveParamType":{"type":"object","required":["list_id"],"properties":{"list_id":{"type":"string","description":"Pass the value of bulk list_id property from response object"},"ignore_result":{"type":"boolean","description":"Set this value to true when download request is in progress, otherwise list removal will be denied","default":false}}},"BulkSuccessResponseType":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","properties":{"name":{"type":"string"},"source":{"type":"string"},"created_on":{"type":"string"}}}}},"BulkFailureListNotAvailableResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"BulkBadRequestResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"properties":{"field":{"type":"array","items":{}},"location":{"type":"string"},"messages":{"type":"array","items":{}},"types":{"type":"array","items":{}}}}}}}}},"BulkEmailFinderRemovalUnauthorizedResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"BulkEmailFinderRemovalPaymentRequiredResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}}}},"paths":{"/email_finder/list/remove":{"post":{"tags":["Email Finder"],"summary":"Bulk Email Finder Removal","description":"Remove your bulk finder contact list","operationId":"removeBulkEmailsList","requestBody":{"required":true,"description":"List ID to bulk email finder removal","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveParamType"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/BulkSuccessResponseType"},{"$ref":"#/components/schemas/BulkFailureListNotAvailableResponseType"}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkBadRequestResponseType"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkEmailFinderRemovalUnauthorizedResponseType"}}}},"402":{"description":"Payment Required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkEmailFinderRemovalPaymentRequiredResponseType"}}}},"503":{"description":"Service Unavailable"}}}}}}
```

## Bulk Finder Cancel

> Cancel running bulk finder list

```json
{"openapi":"3.0.2","info":{"title":"Clearout OpenAPI","version":"1.1"},"tags":[{"name":"Email Finder","description":"The Email Finder API helps you discover verified business email addresses for the right contacts using just a name and company or domain, so you can enrich your CRM, power outbound campaigns, and scale prospecting workflows without manual research"}],"servers":[{"url":"https://api.clearout.io/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ListIdType":{"type":"object","required":["list_id"],"properties":{"list_id":{"type":"string","description":"Pass the value of bulk list_id property from response object"}}},"BulkSuccessResponseType":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","properties":{"name":{"type":"string"},"source":{"type":"string"},"created_on":{"type":"string"}}}}},"BulkFailureListNotAvailableResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"BulkFailureListNotRunningResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"BulkBadRequestResponseType":{"type":"object","properties":{"status":{"type":"string"},"error":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"properties":{"field":{"type":"array","items":{}},"location":{"type":"string"},"messages":{"type":"array","items":{}},"types":{"type":"array","items":{}}}}}}}}}}},"paths":{"/email_finder/list/cancel":{"post":{"tags":["Email Finder"],"summary":"Bulk Finder Cancel","description":"Cancel running bulk finder list","operationId":"cancelBulkFinderList","requestBody":{"required":true,"description":"List ID to cancel bulk finding","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListIdType"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/BulkSuccessResponseType"},{"$ref":"#/components/schemas/BulkFailureListNotAvailableResponseType"},{"$ref":"#/components/schemas/BulkFailureListNotRunningResponseType"}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkBadRequestResponseType"}}}},"503":{"description":"Service Unavailable"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clearout.io/developers/api/email-finder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
